package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizDaywork;
import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import cn.ezhizao.project.business.mapper.BizDayworkMapper;
import cn.ezhizao.project.business.service.IBizDayworkService;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


/**
 * 报工Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-29
 */
@Service
public class BizDayworkServiceImpl extends ServiceImpl<BizDayworkMapper, BizDaywork> implements IBizDayworkService {
    @Resource
    private BizDayworkMapper bizDayworkMapper;

    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工
     */
    @Override
    public List<BizDaywork> getList(BizDaywork bizDaywork) {
        return bizDayworkMapper.getList(bizDaywork);
    }
    /**
     * 查询计划详情
     *
     * @param bizDaywork 报工
     * @return 报工
     */
    @Override
    public List<BizDaywork> getDayworkInfo(BizDaywork bizDaywork) {
        return bizDayworkMapper.getDayworkInfo(bizDaywork);
    }

    @Override
    public List<BizDaywork> getProducedLot(BizProductionPlanDetail data) {
        return bizDayworkMapper.getProducedLot(data);
    }

    /**
     * 查询计划详情
     *
     * @param bizDaywork 报工
     * @return 报工
     */
    @Override
    public List<BizDaywork> getDayworkProcessList(BizDaywork bizDaywork) {
        return bizDayworkMapper.getDayworkProcessList(bizDaywork);
    }

    @Override
    public List<SysDept> getDeptList(BizDaywork bizDaywork) {
        return bizDayworkMapper.getDeptList(bizDaywork);
    }

    /**
     * 查询报工详情列表
     *
     * @param bizDayworkItem 报工
     * @return 报工
     */
    @Override
    public List<BizDayworkItem> getItemList(BizDayworkItem bizDayworkItem) {
        return bizDayworkMapper.getItemList(bizDayworkItem);
    }

    @Override
    public List<BizTechnologicalProcessDetail> getProcessList(BizDayworkItem bizDayworkItem) {
        return bizDayworkMapper.getProcessList(bizDayworkItem);
    }

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDaywork bizDaywork) {
        return bizDayworkMapper.physicalDelete(bizDaywork);
    }

}
